repo/gentoo:master commit in: dev-python/astroid/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786985122.3fb6e62f78dc92ed09f7d4cffbdb48d8d4337f4e.mgorny@gentoo> |
commit: 3fb6e62f78dc92ed09f7d4cffbdb48d8d4337f4e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 16:14:42 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 16:45:22 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fb6e62f
dev-python/astroid: Bump to 4.3.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/astroid/Manifest | 2 +
dev-python/astroid/astroid-4.3.1.ebuild | 86 +++++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 6a01a4dbd534..9b7c85d1f0c4 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -4,3 +4,5 @@ DIST astroid-4.1.2.tar.gz 414896 BLAKE2B 1888ca1d5f035fa2c4288e52392baefdb601aed
DIST astroid-4.1.2.tar.gz.provenance 9395 BLAKE2B 0a178a7e3e1392b71c0a6ea9f910821581801f79c89345cf9aa62dfe1ea5c5f18b026f003ad88796b518054f859fc6b82c564a7a8af6f44fccf8a7c00f5e68e3 SHA512 59de972e0f8754be6d218d1d3f04942e9ffc8aaf277cdb1564f11024baea7085cad98610cb297d9076ce50ab28136e3577863456cb0b5215ed07c345853c3df9
DIST astroid-4.3.0.tar.gz 438804 BLAKE2B 77236f2785d76a9eaac6c2d800654d05e6118e9d7d09a69d2069647292d115484f7aa2df65900474ef487886707dc76d8dd4ee0cd48fde99878b958cacea603a SHA512 3b89dca4dfb425ef4f5738db13e03b150434398859e7d632ef854a6d83813215781550b370cf7f6915204ddc00f3ee1621bca637dc9152e0c90efb413b502fcf
DIST astroid-4.3.0.tar.gz.provenance 9619 BLAKE2B cf001860b836ab1ef1a8951e3d229b9036fc19c4fd2b885b0cdce1bb68dcb202fa25677fe4de6b3fa7b8930cb082daace0feaabc801a754519b975a42cc80137 SHA512 056d3c42e5c2a868df0349c71e6699534a1486095231c305b3d340bc8370e26a7594d929e6e3bb1ce2584911803af395981dee6400316d5fd41135a708a75b74
+DIST astroid-4.3.1.tar.gz 439530 BLAKE2B c0225638bf18e097977f8a6e341071c26840f1bcd30f96ddaee93999e064304e28dba62116eb8b813f82a2d982672c520f0061c3b0fb76d265e6ff6b38407f77 SHA512 48376ba2509bdb5912bfcbad8f9e12c23352839d91fcde68bcde28a4ddf55d8a80ed55db7b63db2a30823fd4cd7a1e3e26d0a7e4184730932959c7fbb710ab2a
+DIST astroid-4.3.1.tar.gz.provenance 9887 BLAKE2B a232ac102e36420e5487b5476428ccd7cfa5bb0d1d877cf4d1f0a0c6f7d2345663df23bbaafd3adab992f8bd941a6b0b3a852d6061264ccdc8db3329f3aa35d3 SHA512 3eb5e5ccb6870f2842990afd85e35df2747aadae3a4434f6483baad560cdc4800a75240d649466c818fc7e7173981ff777055534efc4908c19298f54cb750b2b
diff --git a/dev-python/astroid/astroid-4.3.1.ebuild b/dev-python/astroid/astroid-4.3.1.ebuild
new file mode 100644
index 000000000000..07a822aa7a64
--- /dev/null
+++ b/dev-python/astroid/astroid-4.3.1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/pylint-dev/astroid
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# dev-python/regex isn't available for pypy
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+ local EPYTEST_DESELECT=(
+ # hangs randomly
+ tests/test_nodes.py::AsStringTest::test_recursion_error_trapped
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ # TODO
+ tests/test_builder.py::BuilderTest::test_data_build_error_filename
+ # numpy-2 (https://github.com/pylint-dev/astroid/issues/2442)
+ tests/brain/numpy/test_core_einsumfunc.py::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_fromnumeric.py::BrainNumpyCoreFromNumericTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_multiarray.py::BrainNumpyCoreMultiarrayTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_datetime_astype_return
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_generic_types_are_subscriptables
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type_tuple
+ # old pythons only
+ tests/brain/test_dataclasses.py::test_pydantic_field
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # -Werror, sigh
+ tests/test_nodes.py::test_deprecated_nodes_import_from_toplevel
+ )
+
+ if ! has_version "dev-python/mypy[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_raw_building.py
+ )
+ fi
+
+ case ${EPYTHON} in
+ python3.15)
+ EPYTEST_DESELECT+=(
+ tests/brain/test_brain.py::TypingBrain::test_typing_object_notsubscriptable_3
+ tests/brain/test_dataclasses.py::test_kw_only_sentinel
+ tests/test_regrtest.py::test_regression_parse_deeply_nested_parentheses
+ )
+ ;;
+ esac
+
+ if ! has_version "dev-python/pkg-resources[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # tests a package using pkg_resources
+ tests/test_manager.py::AstroidManagerTest::test_identify_old_namespace_package_protocol
+ )
+ fi
+
+ epytest
+}